(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     12669,        281]
NotebookOptionsPosition[     11834,        259]
NotebookOutlinePosition[     12302,        277]
CellTagsIndexPosition[     12259,        274]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8202311176947727`*^9, 3.8202311208363905`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"798f5459-a36d-414a-8cae-973c8a8959aa"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"Automata", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         RowBox[{"{", "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         RowBox[{"{", 
          SubscriptBox["\[Sigma]", "1"], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
         RowBox[{"{", 
          SubscriptBox["\[Sigma]", "2"], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "2"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", "A", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["\[Alpha]", "1"], "=", 
   RowBox[{"{", 
    RowBox[{
    "b", ",", "b", ",", "a", ",", "a", ",", "b", ",", "a", ",", "a", ",", "b",
      ",", "a", ",", "a", ",", "a", ",", "a", ",", "b", ",", "a", ",", "a"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A", ",", 
   SubscriptBox["\[Alpha]", "1"]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["\[Alpha]", "2"], "=", 
   RowBox[{"{", 
    RowBox[{
    "b", ",", "a", ",", "b", ",", "b", ",", "b", ",", "b", ",", "a", ",", "a",
      ",", "a", ",", "b", ",", "b", ",", "a", ",", "b", ",", "b", ",", "b"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A", ",", 
   SubscriptBox["\[Alpha]", "2"]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8202311310330486`*^9, 3.820231265805186*^9}, {
   3.820231862894062*^9, 3.8202319081620555`*^9}, {3.8202320078918257`*^9, 
   3.820232010904651*^9}, 3.8202321800940557`*^9, {3.8202331332510276`*^9, 
   3.8202331336190195`*^9}, {3.820310676202611*^9, 3.820310730815018*^9}, {
   3.820313080338834*^9, 3.8203130857585125`*^9}, {3.8203135274070387`*^9, 
   3.820313622393606*^9}, {3.8203137203789926`*^9, 3.8203138713359356`*^9}, {
   3.8203139618671274`*^9, 3.820314028995368*^9}, {3.8203140618640323`*^9, 
   3.8203140912089596`*^9}, {3.8203141490563393`*^9, 3.8203141767049627`*^9}},
 CellLabel->
  "In[211]:=",ExpressionUUID->"7e877a78-b0d2-431a-b2e6-ca4b1233d0fe"],

Cell[BoxData[
 GraphicsBox[{CircleBox[{-1., 0}, 0.21213203435596426], InsetBox[
    SubscriptBox["\[Sigma]", "0"], {-1., 0}], 
   PolygonBox[{{0.6879347850228427, 0.031286815263892785`}, {
    0.7896827846050066, 0.027688786692377173`}, {0.7419247689603995, 
    0.1176041534005374}}], 
   CircleBox[{-0.10886820171430674, -1.325749147442428}, 1.6245578218612293, {
    0.9847097380922992, 2.0319072892888963`}], 
   InsetBox["\<\"a\"\>", {-0.007419188033619947, 0.2956379791235002}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{-0.261614786388291, 0.9130415283476193}, {-0.1837117307087384,
     0.893933982822018}, {-0.23921087837765315`, 0.8360217303338925}}], 
   CircleBox[{0.06445942931763517, -0.0835780462435529}, 1.008523024842133, {
    1.8194237979082337`, 2.866621349104831}], 
   InsetBox["\<\"b\"\>", {-0.6392191142846428, 0.6388866234189177}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{-0.1919012314599079, -0.7821492234284777}, \
{-0.12913780037306374`, -0.8317043419609207}, {-0.11760352437984112`, \
-0.7525720569448182}}], 
   CircleBox[{-1.0727139554672054, -1.170062172256383}, 1.0024080914400564, {
    0.3443075952237304, 1.3915051464203274`}], 
   InsetBox["\<\"a\"\>", {-0.4247319498981643, -0.40524761810405807}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{-1.2842010903989052, -0.08619594083292592}, 
    0.10606601717798213, {0.8180730868723423, 6.05406084285533}], 
   PolygonBox[{{-1.3041779583498627`, -0.024050648553188565`}, \
{-1.2116913069516815`, -0.008785790952973438}, {-1.2711543871177104`, 
    0.0636775698686996}}], 
   InsetBox["\<\"b\"\>", {-1.314985354982093, 0.015304448595254538}, 
    ImageScaled[{1, 0}]], CircleBox[{0, -1.}, 0.21213203435596426], 
   CircleBox[{0, -1.}, 0.1414213562373095], InsetBox[
    SubscriptBox["\[Sigma]", "1"], {0, -1.}], 
   PolygonBox[{{-0.1396641774774578, 
    0.7409768885109796}, {-0.054903810567665766`, 
    0.7950961894323342}, {-0.05041530458961413, 0.694631907993687}}], 
   CircleBox[{1.3311625522697554, 0.026275604454263756}, 1.585012635304647, {
    2.6351649469702485`, 3.682362498166846}], 
   InsetBox["\<\"a\"\>", {-0.25361642176758625, -0.0009394194210250242}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{-0.05793886964941808, -1.291278367517651}, 
    0.10606601717798213, {-4.385139745635753, 0.8508480103472351}], 
   PolygonBox[{{-0.18396943999154214`, -1.2091286200087465`}, \
{-0.09203267349794464, -1.1908412601362741`}, {-0.1221637385270341, \
-1.2796045153977638`}}], 
   InsetBox["\<\"a\"\>", {-0.16196685804857913, -1.2705859140714302}, 
    ImageScaled[{1, 0}]], CircleBox[{1., 0}, 0.21213203435596426], InsetBox[
    SubscriptBox["\[Sigma]", "2"], {1., 0}], 
   PolygonBox[{{0.09018918445428109, 0.7380212084940009}, {
    0.10604764547461185`, 0.8162776636081202}, {0.16589049310339038`, 
    0.7634156059425289}}], 
   CircleBox[{1.06395657123229, 1.1011448655740297}, 0.99936921745775, {
    3.4306481205045385`, 4.477845671701136}], 
   InsetBox["\<\"a\"\>", {0.37681670799723344, 0.37548816908772065}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{-0.742140842723287, -0.08399901860931294}, \
{-0.7879814570488879, 0.006938115369999828}, {-0.6863072817126534, 
    0.001168684911398793}}], 
   CircleBox[{0.13970664233274033, 1.3415892055898588}, 1.6253918734752424, {
    4.104973263646857, 5.152070814843455}], 
   InsetBox["\<\"a\"\>", {0.003549742469854761, -0.27808978759955916}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.2400139796053932, -0.8366796086968505}, {
    0.18371173070873834`, -0.8939339828220179}, {
    0.2614465976272391, -0.9140659735941318}}], 
   CircleBox[{-0.05317587270263696, 0.09166372856737734}, 
    1.0136659140693245, {4.948164099167203, 5.9953616503638}], 
   InsetBox["\<\"b\"\>", {0.6447001510128723, -0.643514916980104}, 
    ImageScaled[{1, 1}]], CircleBox[{0, 1.}, 0.21213203435596426], 
   CircleBox[{0, 1.}, 0.1414213562373095], InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0, 1.}], 
   PolygonBox[{{0.9350426565234135, 0.2627859558783724}, {1., 
    0.21213203435596426`}, {1.0113889111014154`, 0.2937137047302437}}], 
   CircleBox[{0.0014086633161793638, -0.153911741131845}, 
    1.0635660314589546, {0.3513508845736689, 1.3985484357702664`}], 
   InsetBox["\<\"b,a\"\>", {0.683192241139523, 0.6623871356796759}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.000014849242398713892, 1.2969848477271189}, 
    0.10606601717798213, {-1.0472475511965973`, 4.1887402047863915`}], 
   PolygonBox[{{0.06528316476644554, 1.2980616923386783`}, {
    0.05304326497183276, 1.2051263308371412`}, {0.13964759883936068`, 
    1.2409939474259992`}}], 
   InsetBox["\<\"b\"\>", {0.10608086628779832, 1.2969795444262622}, 
    ImageScaled[{0, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{-1., 0.4242640687119285}, {-1., 0.21213203435596426`}}], 
    PolygonBox[{{-1., 0.21213203435596426`}, {-1.0707106781186548`, 
     0.31819805153394637`}, {-0.9292893218813453, 0.31819805153394637`}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{
  3.8202313061004095`*^9, {3.820231898021783*^9, 3.8202319086076612`*^9}, 
   3.8202320116668077`*^9, 3.820232180498257*^9, 3.820232816892231*^9, 
   3.8202331345856705`*^9, 3.820310205737632*^9, {3.8203107049841113`*^9, 
   3.820310734572607*^9}, 3.8203130471913447`*^9, 3.8203137283004627`*^9, {
   3.8203138406118793`*^9, 3.8203138716639585`*^9}, {3.82031396241707*^9, 
   3.820314029437173*^9}, {3.820314062982041*^9, 3.820314095377266*^9}, 
   3.8203141497744184`*^9, 3.820314180752367*^9, {3.82031468360934*^9, 
   3.8203147131801505`*^9}, 3.8203165496854687`*^9},
 CellLabel->
  "Out[212]=",ExpressionUUID->"6c2211d5-d2f2-4e65-880c-57f6b2b91a0a"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.8202313061004095`*^9, {3.820231898021783*^9, 3.8202319086076612`*^9}, 
   3.8202320116668077`*^9, 3.820232180498257*^9, 3.820232816892231*^9, 
   3.8202331345856705`*^9, 3.820310205737632*^9, {3.8203107049841113`*^9, 
   3.820310734572607*^9}, 3.8203130471913447`*^9, 3.8203137283004627`*^9, {
   3.8203138406118793`*^9, 3.8203138716639585`*^9}, {3.82031396241707*^9, 
   3.820314029437173*^9}, {3.820314062982041*^9, 3.820314095377266*^9}, 
   3.8203141497744184`*^9, 3.820314180752367*^9, {3.82031468360934*^9, 
   3.8203147131801505`*^9}, 3.820316549690013*^9},
 CellLabel->
  "Out[214]=",ExpressionUUID->"8978f511-8c53-4039-880c-ac1995082db0"],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{
  3.8202313061004095`*^9, {3.820231898021783*^9, 3.8202319086076612`*^9}, 
   3.8202320116668077`*^9, 3.820232180498257*^9, 3.820232816892231*^9, 
   3.8202331345856705`*^9, 3.820310205737632*^9, {3.8203107049841113`*^9, 
   3.820310734572607*^9}, 3.8203130471913447`*^9, 3.8203137283004627`*^9, {
   3.8203138406118793`*^9, 3.8203138716639585`*^9}, {3.82031396241707*^9, 
   3.820314029437173*^9}, {3.820314062982041*^9, 3.820314095377266*^9}, 
   3.8203141497744184`*^9, 3.820314180752367*^9, {3.82031468360934*^9, 
   3.8203147131801505`*^9}, 3.8203165496929684`*^9},
 CellLabel->
  "Out[216]=",ExpressionUUID->"f53e1174-acd3-4984-a6da-e38dc5484ae8"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-4.714285714285779, Automatic}, {
  Automatic, -4.714285714285714}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.2 para Microsoft Windows (64-bit) (December 12, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"a8572f35-c064-47f4-a398-4a1b85c180ca"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 202, 3, 42, "Input",ExpressionUUID->"798f5459-a36d-414a-8cae-973c8a8959aa"],
Cell[CellGroupData[{
Cell[785, 27, 3950, 102, 273, "Input",ExpressionUUID->"7e877a78-b0d2-431a-b2e6-ca4b1233d0fe"],
Cell[4738, 131, 5665, 99, 604, "Output",ExpressionUUID->"6c2211d5-d2f2-4e65-880c-57f6b2b91a0a"],
Cell[10406, 232, 703, 11, 48, "Output",ExpressionUUID->"8978f511-8c53-4039-880c-ac1995082db0"],
Cell[11112, 245, 706, 11, 48, "Output",ExpressionUUID->"f53e1174-acd3-4984-a6da-e38dc5484ae8"]
}, Open  ]]
}
]
*)

